<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Esqueci a Senha</title>
    </head>
    <body>
        <?php
include("../conexao.inc.php");
require_once('../PHPMailer-master/PHPMailer-master/PHPMailerAutoload.php');
$caixaPostalServidorNome = 'Grupo Força Máxima';
$caixaPostalServidorEmail = 'noreply@grupoforcamaxima.com.br';
$caixaPostalServidorSenha = 'FVforcamaxima10';


//pega a variavel via post
$email = $_POST['email'];
$data_nascimento=$_POST["nascimento"];
//$email = "leonardo.reis@colegioforcamaxima.com.br";
//busca no db o usuario com o email 
$result = mysqli_query($conexao,"SELECT * FROM inscricoes i "
        . " inner join bolsao b on b.id = i.id_bolsao"
        . " where lower(i.email)=lower('$email') and i.data_nas='$data_nascimento' "
        . "and now() >=b.data_inicio_inscricao and now() <= b.data_prova");
//conta quantos tem
$num_rows = mysqli_num_rows($result);
$Row_pessoa=  mysqli_fetch_array($result);
//se tiver  + de 1 cadastrado
if($num_rows > 0){
	//faz um while para vc coloar os dados nas variavels
	//while($Row_email = mysqli_fetch_array($result)){
		$inscricao = $Row_pessoa['inscricao'];
                
                $nome=$Row_pessoa['nome'];
		
	//	}
$tipoTexto = "MIME-Version: 1.0" . "\r\n";                
$tipoTexto .='Content-type: text/html; charset=utf-8';	
$tipoTexto .= 'From: <noreply@grupoforcamaxima.com.br>' . "\r\n";
//enviar um email para variavel email juntamente com a variável senha;
$mensage ="<html> <body>";
$mensage .="Você solicitou a recuperação do seu Número de Inscrição, confira seus dados.".'<br>';
$mensage .="Número de Inscrição: " . $inscricao.'<br>';
$mensage .="</body></html>";
$assunto="Rec. de Nº de Inscrição do Bolsão Colégio Força Máxima";
$enviaFormularioParaNome = $nome;
$enviaFormularioParaEmail = $email;

$mail = new PHPMailer();
 
$mail->IsSMTP();
$mail->SMTPAuth  = true;
$mail->Charset   = 'utf8_decode()';
//$mail->SMTPSecure = 'tls';
$mail->Host  = 'mail.grupoforcamaxima.com.br';
$mail->Port  = '25';
$mail->Username  = $caixaPostalServidorEmail;
$mail->Password  = $caixaPostalServidorSenha;
$mail->From  = $caixaPostalServidorEmail;
$mail->FromName  = utf8_decode($caixaPostalServidorNome);
$mail->IsHTML(true);
$mail->Subject  = utf8_decode($assunto);
$mail->Body  = utf8_decode($mensage);
$mail->AddAddress($enviaFormularioParaEmail,utf8_decode($enviaFormularioParaNome));


//mail($email, "Grupo Força Maxima, recuperação de senha", $mensage,$tipoTexto);
if(!$mail->Send()){
    
    $mensagemRetorno=print($mail->ErrorInfo);
    echo $mensagemRetorno;
//echo "<script>alert('Erro ao enviar email'.print('$mail->ErrorInfo');)</script>";


}else {
echo "<script>alert('Seu Número de Inscrição foi enviado para o e-mail indicado.'),window.open('index.php','_self')</script>";
    
}}else{
	
	
	echo"<script>alert('E-mail não cadastrado em nosso sistema'),window.open('index.php','_self')</script>";
	
}


?>
</body>
</html>